%define __noautoprovfiles '%{py_platsitedir}/(.*)\\.so$'

%define oname pwquality

%define major 1
%define libname %mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

%bcond_with python

Summary:	Library for password quality checking and generating random passwords
Name:		libpwquality
Version:	1.2.4
Release:	6
# The package is BSD licensed with option to relicense as GPL+
# - this option is redundant as the BSD license allows that anyway.
License:	BSD or GPL+
Group:		System/Libraries
Url:		http://libpwquality.fedorahosted.org/
Source0:	http://fedorahosted.org/releases/l/i/libpwquality/%{name}-%{version}.tar.bz2
Patch1:		libpwquality-1.2.4-l10n-ru.patch
BuildRequires:	libcrack-devel
BuildRequires:	pam-devel
%if %{with python}
BuildRequires:	pkgconfig(python)
%endif

%description
The libpwquality library purpose is to provide common functions for password
quality checking and also scoring them based on their apparent randomness.

The library also provides a function for generating random passwords with good
pronounceability. The library supports reading and parsing of a configuration
file.

#----------------------------------------------------------------------------

%package common
Summary:	Noarch data files for libpwquality (locales, configs etc)
Group:		System/Base
Conflicts:	%{name}-tools < 1.2.4-4
Conflicts:	%{_lib}pwquality1 < 1.2.4-4

%description common
Noarch data files for libpwquality (locales, configs etc).

%files common -f %{name}.lang
%config(noreplace) %{_sysconfdir}/security/%{oname}.conf
%{_mandir}/man5/%{oname}.conf.5*

#----------------------------------------------------------------------------

%package tools
Summary:	Tools for password quality checking and generating random passwords
Group:		System/Base

%description tools
The libpwquality library purpose is to provide common functions for password
quality checking and also scoring them based on their apparent randomness.

The library also provides a function for generating random passwords with good
pronounceability. The library supports reading and parsing of a configuration
file.

%files tools
%doc COPYING README NEWS AUTHORS
%{_bindir}/pwmake
%{_bindir}/pwscore
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n pam_pwquality
Summary:	PAM module for %{oname}
Group:		System/Base
Provides:	%{oname} = %{EVRD}
Provides:	%{name} = %{EVRD}
Conflicts:	%{name}-tools < 1.2.4-4
Conflicts:	%{_lib}pwquality1 < 1.2.4-4

%description -n pam_pwquality
PAM module for %{oname}.

%files -n pam_pwquality
/%{_lib}/security/pam_pwquality.so
%{_mandir}/man8/pam_pwquality.8*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries for %{oname}
Group:		System/Libraries
Requires:	cracklib-dicts
Requires:	%{name}-common >= %{EVRD}

%description -n %{libname}
The libpwquality library purpose is to provide common functions for password
quality checking and also scoring them based on their apparent randomness.

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Files needed for developing PAM-aware applications and modules for PAM
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	%{oname}-devel = %{EVRD}

%description -n %{devname}
Files needed for development of applications using the libpwquality library.

%files -n %{devname}
%{_includedir}/%{oname}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc

#----------------------------------------------------------------------------

%if %{with python}
%package -n python-pwquality
Summary:	Python bindings for the libpwquality library
Group:		Development/Python

%description -n python-pwquality
This is pwquality Python module that provides Python bindings for the
libpwquality library. These bindings can be used for easy password quality
checking and generation of random pronounceable passwords from Python
applications.

%files -n python-pwquality
%{py_platsitedir}/%{oname}.so
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%patch1 -p1 -b .l10n-ru

%build
%configure2_5x \
	--with-securedir=/%{_lib}/security \
	--with-pythonsitedir=%{py_platsitedir} \
%if %{with python}
	--enable-python-bindings \
%else
	--disable-python-bindings \
%endif
	--disable-static \
	--disable-rpath

%make -C po update-gmo
%make

%install
%makeinstall_std

%find_lang %{name}


%changelog
* Wed Feb 04 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.4-6
+ Revision: 7ddfb3f
- Library shouldn't require PAM module


